## r-cran-ncmeta 0.0.3

=== DESCRIPTION ===
Package: ncmeta
Title: Straightforward 'NetCDF' Metadata
Version: 0.0.3
Authors@R: c(person("Michael", "Sumner", email = "mdsumner@gmail.com", role = c("aut", "cre")), 
             person("Tomas", "Remenyi", role = "ctb"), 
             person("Ben", "Raymond", role = "ctb"))
Description: Extract metadata from 'NetCDF' data sources, these can be files, file handles or
 servers. This package leverages and extends the lower level functions of the 'RNetCDF' package 
 providing a consistent set of functions that all return data frames. We introduce named concepts 
 of 'grid', 'axis' and 'source' which are all meaningful entities without formal definition in the 
 'NetCDF' library <https://www.unidata.ucar.edu/software/netcdf/>. 'RNetCDF' matches the library 
 itself with only the named concepts of 'variables', 'dimensions' and 'attributes'. 'ncmeta'
 provides a required framework for the in-development 'tidync' project <https://github.com/hypertidy/tidync>.
Depends: R (>= 3.3.0)
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.0
Imports: dplyr, rlang, RNetCDF, tibble
Suggests: testthat, covr
URL: https://github.com/hypertidy/ncmeta
BugReports: https://github.com/hypertidy/ncmeta/issues
ByteCompile: TRUE
NeedsCompilation: no
Packaged: 2018-10-26 20:52:57 UTC; mdsumner
Author: Michael Sumner [aut, cre],
  Tomas Remenyi [ctb],
  Ben Raymond [ctb]
Maintainer: Michael Sumner <mdsumner@gmail.com>
Repository: CRAN
Date/Publication: 2018-10-26 21:10:04 UTC

=== debian/changelog ===
r-cran-ncmeta (0.0.3-1) unstable; urgency=medium

  * Initial release (closes: #912209)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2018 12:03:46 +0100

=== debian/control ===
Source: r-cran-ncmeta
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-rlang,
               r-cran-rnetcdf,
               r-cran-tibble
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta.git
Homepage: https://cran.r-project.org/package=ncmeta

Package: r-cran-ncmeta
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Straightforward 'NetCDF' Metadata
 Extract metadata from 'NetCDF' data sources, these can be files, file
 handles or servers. This package leverages and extends the lower level
 functions of the 'RNetCDF' package providing a consistent set of
 functions that all return data frames.  There are named concepts of
 'grid', 'axis' and 'source' which are all meaningful entities without
 formal definition in the 'NetCDF' library. 'RNetCDF' matches the
 library itself with only the named concepts of 'variables', 'dimensions'
 and 'attributes'. 'ncmeta' provides a required framework for the
 in-development 'tidync' project.

## r-cran-ncmeta 0.0.4

=== debian/changelog ===
r-cran-ncmeta (0.0.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Sat, 13 Jul 2019 12:18:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
                r-cran-rlang,
                r-cran-rnetcdf,
-               r-cran-tibble
-Standards-Version: 4.2.1
+               r-cran-tibble,
+               r-cran-tidyr
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta.git
 Homepage: https://cran.r-project.org/package=ncmeta

## r-cran-ncmeta 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Package: ncmeta
 Title: Straightforward 'NetCDF' Metadata
-Version: 0.0.3
+Version: 0.2.0
 Authors@R: c(person("Michael", "Sumner", email = "mdsumner@gmail.com", role = c("aut", "cre")), 
              person("Tomas", "Remenyi", role = "ctb"), 
-             person("Ben", "Raymond", role = "ctb"))
+             person("Ben", "Raymond", role = "ctb"), 
+             person("David", "Blodgett", role = "ctb"))
 Description: Extract metadata from 'NetCDF' data sources, these can be files, file handles or
  servers. This package leverages and extends the lower level functions of the 'RNetCDF' package 
  providing a consistent set of functions that all return data frames. We introduce named concepts 
@@ -15,17 +16,18 @@
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.0
-Imports: dplyr, rlang, RNetCDF, tibble
+RoxygenNote: 6.1.1
+Imports: dplyr, rlang, RNetCDF, tibble, stats, tidyr
 Suggests: testthat, covr
 URL: https://github.com/hypertidy/ncmeta
 BugReports: https://github.com/hypertidy/ncmeta/issues
 ByteCompile: TRUE
 NeedsCompilation: no
-Packaged: 2018-10-26 20:52:57 UTC; mdsumner
+Packaged: 2019-10-22 14:55:10 UTC; mdsumner
 Author: Michael Sumner [aut, cre],
   Tomas Remenyi [ctb],
-  Ben Raymond [ctb]
+  Ben Raymond [ctb],
+  David Blodgett [ctb]
 Maintainer: Michael Sumner <mdsumner@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-10-26 21:10:04 UTC
+Date/Publication: 2019-10-22 17:10:02 UTC

=== debian/changelog ===
r-cran-ncmeta (0.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Oct 2019 10:24:07 +0100

r-cran-ncmeta (0.1.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 11:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
@@ -12,7 +12,7 @@
                r-cran-rnetcdf,
                r-cran-tibble,
                r-cran-tidyr
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta.git
 Homepage: https://cran.r-project.org/package=ncmeta

## r-cran-ncmeta 0.2.5

=== debian/changelog ===
r-cran-ncmeta (0.2.5-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:20:07 +0000

r-cran-ncmeta (0.2.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 16:31:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-ncmeta
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -12,10 +13,11 @@
                r-cran-rnetcdf,
                r-cran-tibble,
                r-cran-tidyr
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta.git
 Homepage: https://cran.r-project.org/package=ncmeta
+Rules-Requires-Root: no
 
 Package: r-cran-ncmeta
 Architecture: all

## r-cran-ncmeta 0.3.0

=== DESCRIPTION ===
Package: ncmeta
Title: Straightforward 'NetCDF' Metadata
Version: 0.3.0
Authors@R: c(person("Michael", "Sumner", email = "mdsumner@gmail.com", role = c("aut", "cre")), 
             person("Tomas", "Remenyi", role = "ctb"), 
             person("Ben", "Raymond", role = "ctb"), 
             person("David", "Blodgett", role = "ctb"))
Description: Extract metadata from 'NetCDF' data sources, these can be files, file handles or
 servers. This package leverages and extends the lower level functions of the 'RNetCDF' package 
 providing a consistent set of functions that all return data frames. We introduce named concepts 
 of 'grid', 'axis' and 'source' which are all meaningful entities without formal definition in the 
 'NetCDF' library <https://www.unidata.ucar.edu/software/netcdf/>. 'RNetCDF' matches the library 
 itself with only the named concepts of 'variables', 'dimensions' and 'attributes'. 
Depends: R (>= 3.3.0)
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: dplyr, rlang, RNetCDF, tibble, stats, tidyr
Suggests: testthat, covr
URL: https://github.com/hypertidy/ncmeta
BugReports: https://github.com/hypertidy/ncmeta/issues
ByteCompile: TRUE
NeedsCompilation: no
Packaged: 2020-08-25 00:38:09 UTC; mdsumner
Author: Michael Sumner [aut, cre],
  Tomas Remenyi [ctb],
  Ben Raymond [ctb],
  David Blodgett [ctb]
Maintainer: Michael Sumner <mdsumner@gmail.com>
Repository: CRAN
Date/Publication: 2020-08-27 05:10:15 UTC

=== debian/changelog ===
r-cran-ncmeta (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 11:49:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-ncmeta
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dplyr,

## r-cran-ncmeta 0.3.5

=== DESCRIPTION ===
Package: ncmeta
Title: Straightforward 'NetCDF' Metadata
Version: 0.3.5
Authors@R: c(person("Michael", "Sumner", email = "mdsumner@gmail.com", role = c("aut", "cre")), 
             person("Tomas", "Remenyi", role = "ctb"), 
             person("Ben", "Raymond", role = "ctb"), 
             person("David", "Blodgett", role = "ctb"), 
             person("Milton", "Woods", role = "ctb"))
Description: Extract metadata from 'NetCDF' data sources, these can be files, file handles or
 servers. This package leverages and extends the lower level functions of the 'RNetCDF' package 
 providing a consistent set of functions that all return data frames. We introduce named concepts 
 of 'grid', 'axis' and 'source' which are all meaningful entities without formal definition in the 
 'NetCDF' library <https://www.unidata.ucar.edu/software/netcdf/>. 'RNetCDF' matches the library 
 itself with only the named concepts of 'variables', 'dimensions' and 'attributes'. 
Depends: R (>= 3.3.0)
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.1
Imports: dplyr, rlang, RNetCDF, tibble, stats, tidyr
Suggests: testthat, covr
URL: https://github.com/hypertidy/ncmeta
BugReports: https://github.com/hypertidy/ncmeta/issues
ByteCompile: TRUE
NeedsCompilation: no
Packaged: 2022-10-26 23:18:00 UTC; mdsumner
Author: Michael Sumner [aut, cre],
  Tomas Remenyi [ctb],
  Ben Raymond [ctb],
  David Blodgett [ctb],
  Milton Woods [ctb]
Maintainer: Michael Sumner <mdsumner@gmail.com>
Repository: CRAN
Date/Publication: 2022-10-26 23:42:36 UTC

=== debian/changelog ===
r-cran-ncmeta (0.3.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 09:57:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-ncmeta
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta.git
+Homepage: https://cran.r-project.org/package=ncmeta
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -12,11 +16,7 @@
                r-cran-rnetcdf,
                r-cran-tibble,
                r-cran-tidyr
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta.git
-Homepage: https://cran.r-project.org/package=ncmeta
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ncmeta
 Architecture: all

## r-cran-ncmeta 0.3.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ncmeta
 Title: Straightforward 'NetCDF' Metadata
-Version: 0.3.5
+Version: 0.3.6
 Authors@R: c(person("Michael", "Sumner", email = "mdsumner@gmail.com", role = c("aut", "cre")), 
              person("Tomas", "Remenyi", role = "ctb"), 
              person("Ben", "Raymond", role = "ctb"), 
@@ -15,14 +15,14 @@
 Depends: R (>= 3.3.0)
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Imports: dplyr, rlang, RNetCDF, tibble, stats, tidyr
 Suggests: testthat, covr
 URL: https://github.com/hypertidy/ncmeta
 BugReports: https://github.com/hypertidy/ncmeta/issues
 ByteCompile: TRUE
 NeedsCompilation: no
-Packaged: 2022-10-26 23:18:00 UTC; mdsumner
+Packaged: 2023-11-01 05:46:46 UTC; gdal
 Author: Michael Sumner [aut, cre],
   Tomas Remenyi [ctb],
   Ben Raymond [ctb],
@@ -30,4 +30,4 @@
   Milton Woods [ctb]
 Maintainer: Michael Sumner <mdsumner@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-10-26 23:42:36 UTC
+Date/Publication: 2023-11-01 06:20:02 UTC

=== debian/changelog ===
r-cran-ncmeta (0.3.6-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2023 11:19:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta.git
 Homepage: https://cran.r-project.org/package=ncmeta
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-covr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ncmeta_([-\d.]*)\.tar\.gz

## r-cran-ncmeta 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ncmeta
 Title: Straightforward 'NetCDF' Metadata
-Version: 0.3.6
+Version: 0.4.0
 Authors@R: c(person("Michael", "Sumner", email = "mdsumner@gmail.com", role = c("aut", "cre")), 
              person("Tomas", "Remenyi", role = "ctb"), 
              person("Ben", "Raymond", role = "ctb"), 
@@ -15,14 +15,15 @@
 Depends: R (>= 3.3.0)
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
-Imports: dplyr, rlang, RNetCDF, tibble, stats, tidyr
+RoxygenNote: 7.3.0
+Imports: dplyr, rlang, RNetCDF, tibble, stats, tidyr, CFtime
 Suggests: testthat, covr
-URL: https://github.com/hypertidy/ncmeta
+URL: https://github.com/hypertidy/ncmeta,
+        https://hypertidy.github.io/ncmeta/
 BugReports: https://github.com/hypertidy/ncmeta/issues
 ByteCompile: TRUE
 NeedsCompilation: no
-Packaged: 2023-11-01 05:46:46 UTC; gdal
+Packaged: 2024-03-25 09:49:25 UTC; mdsumner
 Author: Michael Sumner [aut, cre],
   Tomas Remenyi [ctb],
   Ben Raymond [ctb],
@@ -30,4 +31,4 @@
   Milton Woods [ctb]
 Maintainer: Michael Sumner <mdsumner@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-11-01 06:20:02 UTC
+Date/Publication: 2024-03-25 10:20:02 UTC

=== debian/changelog ===
r-cran-ncmeta (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-depend on r-cran-cftime (in NEW).

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Feb 2025 09:37:49 +0900

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncmeta.git
 Homepage: https://cran.r-project.org/package=ncmeta
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cftime,
                r-cran-dplyr,
                r-cran-rlang,
                r-cran-rnetcdf,
